[ARVADOS-DEV] updated: f6f099ed8d235f23a70870b2e013afd6a085db00
git at public.curoverse.com
git at public.curoverse.com
Fri Sep 11 17:04:58 EDT 2015
Summary of changes:
jenkins/run-tests.sh | 9 ++++-----
1 file changed, 4 insertions(+), 5 deletions(-)
via f6f099ed8d235f23a70870b2e013afd6a085db00 (commit)
from f0c491076403ee51e42604e603aacb9873944aba (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit f6f099ed8d235f23a70870b2e013afd6a085db00
Author: Tom Clegg <tom at curoverse.com>
Date: Fri Sep 11 17:04:53 2015 -0400
7311: Do not forget to make temp dirs.
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index c8e1cce..639cd14 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -300,13 +300,12 @@ fi
# Set up temporary install dirs (unless existing dirs were supplied)
for tmpdir in VENVDIR VENV3DIR GOPATH GEMHOME PERLINSTALLBASE
do
- if [[ -n "${!tmpdir}" ]]; then
- # Support old user-named temp dirs (but --temp {base} would
- # be more convenient)
- mkdir -p "${!tmpdir}"
- else
+ if [[ -z "${!tmpdir}" ]]; then
eval "$tmpdir"="$temp/$tmpdir"
fi
+ if ! [[ -d "${!tmpdir}" ]]; then
+ mkdir "${!tmpdir}" || fatal "can't create ${!tmpdir} (does $temp exist?)"
+ fi
done
setup_ruby_environment() {
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list